package com.suliang.common.base.activity

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.databinding.DataBindingUtil
import androidx.databinding.ViewDataBinding
import androidx.databinding.ViewDataBindingKtx
import java.lang.reflect.Method
import java.lang.reflect.ParameterizedType

/**
 * 基类Activity
 */
abstract class BaseActivity<VB : ViewDataBinding> : AppCompatActivity() {
    lateinit var databinding: VB

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setLayoutBefore()
        initBinding()
        setLayoutAfter()

    }
    /** 布局前操作 ： 空实现 */
    public fun setLayoutBefore() {

    }

    /**
     * 实例化 binding和 设置布局
     */
    private fun initBinding() {
//        https://www.jianshu.com/p/e3d2421a0277
//        val genericSuperClass = this::class.java.genericSuperclass as ParameterizedType //超类
//        val type = genericSuperClass.actualTypeArguments[0].javaClass
//        val infate: Method = type.getDeclaredMethod("inflate")

    }

    /**
     * 布局后操作：空实现
     */
    public fun setLayoutAfter() {

    }

    public abstract fun layoutRes(): Int
}